Skip to:
Content

bbPress.org

Changeset 5611


Ignore:
Timestamp:
02/03/2015 08:26:01 PM (9 years ago)
Author:
johnjamesjacoby
Message:

Check for IXR_Value class before including BackPress's version.

Avoids collisions when deeply integrated with WordPress.

For 1.1 & 1.2 branches.

Location:
branches
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • branches/1.1/xmlrpc.php

    r2410 r5611  
    5252}
    5353
    54 
    55 
    5654// Load the XML-RPC server/client classes
    57 require_once( BACKPRESS_PATH . '/class.ixr.php' );
    58 
    59 
     55if ( ! class_exists( 'IXR_Value' ) ) {
     56    require_once( BACKPRESS_PATH . '/class.ixr.php' );
     57}
    6058
    6159/**
  • branches/1.2/xmlrpc.php

    r2410 r5611  
    5252}
    5353
    54 
    55 
    5654// Load the XML-RPC server/client classes
    57 require_once( BACKPRESS_PATH . '/class.ixr.php' );
    58 
    59 
     55if ( ! class_exists( 'IXR_Value' ) ) {
     56    require_once( BACKPRESS_PATH . '/class.ixr.php' );
     57}
    6058
    6159/**
Note: See TracChangeset for help on using the changeset viewer.